# Uses of Interface
org.eclipse.net4j.util.concurrent.MonitoredThread.ThreadMonitor

Packages that use MonitoredThread.ThreadMonitor
Package
Description
org.eclipse.net4j.util.concurrent
Utility interfaces and classes commonly useful in concurrent programming.

## Uses of MonitoredThread.ThreadMonitor in org.eclipse.net4j.util.concurrent

Classes in org.eclipse.net4j.util.concurrent that implement MonitoredThread.ThreadMonitor
Modifier and Type
Class
Description
`static class`
`MonitoredThread.MultiThreadMonitor`
Constructors in org.eclipse.net4j.util.concurrent with parameters of type MonitoredThread.ThreadMonitor
Modifier
Constructor
Description
``
`MonitoredThread(String name, MonitoredThread.ThreadMonitor monitor)`